rte_event_crypto_metadata(3)

NAME
rte_event_crypto_metadata

SYNOPSIS

#include <rte_event_crypto_adapter.h>

  Data Fields

struct rte_event_crypto_request request_info
struct rte_event response_info

Detailed Description

Crypto event metadata structure will be filled by application to provide crypto request and event response information.

If crypto events are enqueued using a HW mechanism, the cryptodev PMD will use the event response information to set up the event that is enqueued back to eventdev after completion of the crypto operation. If the transfer is done by SW, event response information will be used by the adapter.

Definition at line 228 of file rte_event_crypto_adapter.h.

Field Documentation

  struct rte_event_crypto_request request_info
Request information to be filled in by application for RTE_EVENT_CRYPTO_ADAPTER_OP_FORWARD mode. First 8 bytes of request_info is reserved for response_info.

Definition at line 229 of file rte_event_crypto_adapter.h.

  struct rte_event response_info
Response information to be filled in by application for RTE_EVENT_CRYPTO_ADAPTER_OP_NEW and RTE_EVENT_CRYPTO_ADAPTER_OP_FORWARD mode.

Definition at line 234 of file rte_event_crypto_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.